#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-88zBhxNhaOMKCDiKMSk08M
key:                  lsp-1.4.0.0-88zBhxNhaOMKCDiKMSk08M
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  7e56f1d8e9db5f36128f8efc7398ba0a
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-CY9O1ffdZ27DBh7lHqaqwF:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-CY9O1ffdZ27DBh7lHqaqwF:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-CY9O1ffdZ27DBh7lHqaqwF:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-CY9O1ffdZ27DBh7lHqaqwF:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-88zBhxNhaOMKCDiKMSk08M
depends:
    aeson-2.1.2.1-GayFRV4oUv8L6a1HjAAkY
    async-2.2.5-cqcrAyJc5KBpUy7cUuVT7
    attoparsec-0.14.4-HI028cZ2WwJ53VFJd3R6KF base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3 exceptions-0.10.4
    hashable-1.4.4.0-7BSyPsBurXt9vEzyIgxmkb
    hslogger-1.3.1.1-AOdgOg5sBRh2ItTug2ZoVG
    lens-5.2.3-4MTOEd32V8S8DXXehXOq9T
    lsp-types-1.4.0.1-CY9O1ffdZ27DBh7lHqaqwF mtl-2.2.2
    network-uri-2.6.4.2-BC3te0GfpncIdQCU8I2AdS
    random-1.2.1.2-F9rVStWFtZE3PBeMKQuK89
    scientific-0.3.7.0-KltKYIXlMCy1e9qM9TkhQF
    sorted-list-0.2.2.0-5Rq9ZsbH4bJCu5DC6yICEJ stm-2.5.0.2 text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-1oXBHIneMBm69TPTD2tYrr
    uuid-1.3.15-63qdE9nM3EeCmWKqLIFIZw

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

